public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in sci-chemistry/webmo: webmo-7.0.003.ebuild webmo-6.1.010.ebuild ChangeLog
@ 2008-02-05  8:47 Benedikt Boehm (hollow)
  0 siblings, 0 replies; only message in thread
From: Benedikt Boehm (hollow) @ 2008-02-05  8:47 UTC (permalink / raw
  To: gentoo-commits

hollow      08/02/05 08:47:31

  Modified:             webmo-7.0.003.ebuild webmo-6.1.010.ebuild ChangeLog
  Log:
  merge from webapps overlay wrt #208584
  (Portage version: 2.1.4)

Revision  Changes    Path
1.3                  sci-chemistry/webmo/webmo-7.0.003.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-chemistry/webmo/webmo-7.0.003.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-chemistry/webmo/webmo-7.0.003.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-chemistry/webmo/webmo-7.0.003.ebuild?r1=1.2&r2=1.3

Index: webmo-7.0.003.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-chemistry/webmo/webmo-7.0.003.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- webmo-7.0.003.ebuild	29 Jul 2007 17:07:47 -0000	1.2
+++ webmo-7.0.003.ebuild	5 Feb 2008 08:47:31 -0000	1.3
@@ -1,22 +1,23 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sci-chemistry/webmo/webmo-7.0.003.ebuild,v 1.2 2007/07/29 17:07:47 phreak Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-chemistry/webmo/webmo-7.0.003.ebuild,v 1.3 2008/02/05 08:47:31 hollow Exp $
 
-inherit eutils webapp
+inherit eutils webapp depend.apache
 
 MY_SRC_PN="WebMO"
 MY_SRC_P="${MY_SRC_PN}.${PV}"
 DESCRIPTION="Web-based interface to computational chemistry packages"
 HOMEPAGE="http://webmo.net/"
 SRC_URI="${MY_SRC_P}.tar.gz"
+
 LICENSE="WebMO"
 SLOT="${PVR}"
 KEYWORDS="~x86"
 RESTRICT="fetch"
 IUSE=""
-RDEPEND="dev-lang/perl
-	www-servers/apache"
-DEPEND="${RDEPEND}"
+
+DEPEND="dev-lang/perl"
+need_apache2
 
 S="${WORKDIR}/${MY_SRC_PN}.install"
 
@@ -43,15 +44,15 @@
 	unpack ${A}
 
 	# Set up program locations to match where portage installs them
-	epatch ${FILESDIR}/${PV}-gentoo-locations.patch
+	epatch "${FILESDIR}"/${PV}-gentoo-locations.patch
 
 	# Add a data directory for gamess, because WebMO expects everything
 	# in one directory instead of FHS
 	# (Depends on gentoo-locations.patch)
-	epatch ${FILESDIR}/add-gamess-data-directory.patch
+	epatch "${FILESDIR}"/add-gamess-data-directory.patch
 
 	# Don't run diagnose.pl or ask about being root user
-	epatch ${FILESDIR}/dont-be-interactive-or-diagnose.patch
+	epatch "${FILESDIR}"/dont-be-interactive-or-diagnose.patch
 
 	# Make setup.conf
 	create_setup_conf
@@ -61,14 +62,14 @@
 	webapp_src_preinst
 
 	# Install everything
-	perl setup.pl || die "Check ${S}/diagnose.html for errors"
+	perl setup.pl || die "Check '${S}'/diagnose.html for errors"
 
 	# Get ${D} out of main config file
 	dosed "${MY_CGIBINDIR}/webmo/interfaces/globals.int"
 
-	webapp_hook_script ${FILESDIR}/reconfig
+	webapp_hook_script "${FILESDIR}"/reconfig
 
-	local files=$(find ${D}${MY_HOSTROOTDIR}/webmo ${D}${MY_CGIBINDIR}/webmo/interfaces)
+	local files=$(find "${D}"${MY_HOSTROOTDIR}/webmo "${D}"${MY_CGIBINDIR}/webmo/interfaces)
 	# Add the directories themselves
 	files="${files} ${MY_HOSTROOTDIR}/webmo ${MY_CGIBINDIR}/webmo/interfaces"
 	files=${files//${D}/}
@@ -88,12 +89,12 @@
 }
 
 pkg_postinst() {
-	einfo
-	einfo "Be sure that this line is uncommented in httpd.conf:"
-	einfo "AddHandle cgi-scripts .cgi"
-	einfo
-	einfo "The diagnose.pl script can be run if WebMO doesn't work properly."
-	einfo
+	elog
+	elog "Be sure that this line is uncommented in httpd.conf:"
+	elog "AddHandle cgi-scripts .cgi"
+	elog
+	elog "The diagnose.pl script can be run if WebMO doesn't work properly."
+	elog
 	ewarn "Be careful never to overwrite your user, group or job databases"
 	ewarn "when using etc-update after an upgrade."
 



1.4                  sci-chemistry/webmo/webmo-6.1.010.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-chemistry/webmo/webmo-6.1.010.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-chemistry/webmo/webmo-6.1.010.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-chemistry/webmo/webmo-6.1.010.ebuild?r1=1.3&r2=1.4

Index: webmo-6.1.010.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-chemistry/webmo/webmo-6.1.010.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- webmo-6.1.010.ebuild	29 Jul 2007 17:07:47 -0000	1.3
+++ webmo-6.1.010.ebuild	5 Feb 2008 08:47:31 -0000	1.4
@@ -1,22 +1,23 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sci-chemistry/webmo/webmo-6.1.010.ebuild,v 1.3 2007/07/29 17:07:47 phreak Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-chemistry/webmo/webmo-6.1.010.ebuild,v 1.4 2008/02/05 08:47:31 hollow Exp $
 
-inherit eutils webapp
+inherit eutils webapp depend.apache
 
 MY_SRC_PN="WebMO"
 MY_SRC_P="${MY_SRC_PN}.${PV}"
 DESCRIPTION="Web-based interface to computational chemistry packages"
 HOMEPAGE="http://webmo.net/"
 SRC_URI="${MY_SRC_P}.tar.gz"
+
 LICENSE="WebMO"
 SLOT="${PVR}"
 KEYWORDS="~x86"
 RESTRICT="fetch"
 IUSE=""
-RDEPEND="dev-lang/perl
-	www-servers/apache"
-DEPEND="${RDEPEND}"
+
+DEPEND="dev-lang/perl"
+need_apache2
 
 S="${WORKDIR}/${MY_SRC_PN}.install"
 
@@ -43,15 +44,15 @@
 	unpack ${A}
 
 	# Set up program locations to match where portage installs them
-	epatch ${FILESDIR}/gentoo-locations.patch
+	epatch "${FILESDIR}"/gentoo-locations.patch
 
 	# Add a data directory for gamess, because WebMO expects everything
 	# in one directory instead of FHS
 	# (Depends on gentoo-locations.patch)
-	epatch ${FILESDIR}/add-gamess-data-directory.patch
+	epatch "${FILESDIR}"/add-gamess-data-directory.patch
 
 	# Don't run diagnose.pl or ask about being root user
-	epatch ${FILESDIR}/dont-be-interactive-or-diagnose.patch
+	epatch "${FILESDIR}"/dont-be-interactive-or-diagnose.patch
 
 	# Make setup.conf
 	create_setup_conf
@@ -61,14 +62,14 @@
 	webapp_src_preinst
 
 	# Install everything
-	perl setup.pl || die "Check ${S}/diagnose.html for errors"
+	perl setup.pl || die "Check '${S}'/diagnose.html for errors"
 
 	# Get ${D} out of main config file
 	dosed "${MY_CGIBINDIR}/webmo/interfaces/globals.int"
 
-	webapp_hook_script ${FILESDIR}/reconfig
+	webapp_hook_script "${FILESDIR}"/reconfig
 
-	local files=$(find ${D}${MY_HOSTROOTDIR}/webmo ${D}${MY_CGIBINDIR}/webmo/interfaces)
+	local files=$(find "${D}"${MY_HOSTROOTDIR}/webmo "${D}"${MY_CGIBINDIR}/webmo/interfaces)
 	# Add the directories themselves
 	files="${files} ${MY_HOSTROOTDIR}/webmo ${MY_CGIBINDIR}/webmo/interfaces"
 	files=${files//${D}/}
@@ -88,12 +89,12 @@
 }
 
 pkg_postinst() {
-	einfo
-	einfo "Be sure that this line is uncommented in httpd.conf:"
-	einfo "AddHandle cgi-scripts .cgi"
-	einfo
-	einfo "The diagnose.pl script can be run if WebMO doesn't work properly."
-	einfo
+	elog
+	elog "Be sure that this line is uncommented in httpd.conf:"
+	elog "AddHandle cgi-scripts .cgi"
+	elog
+	elog "The diagnose.pl script can be run if WebMO doesn't work properly."
+	elog
 	ewarn "Be careful never to overwrite your user, group or job databases"
 	ewarn "when using etc-update after an upgrade."
 



1.14                 sci-chemistry/webmo/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-chemistry/webmo/ChangeLog?rev=1.14&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-chemistry/webmo/ChangeLog?rev=1.14&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-chemistry/webmo/ChangeLog?r1=1.13&r2=1.14

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-chemistry/webmo/ChangeLog,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- ChangeLog	29 Jul 2007 17:07:47 -0000	1.13
+++ ChangeLog	5 Feb 2008 08:47:31 -0000	1.14
@@ -1,6 +1,14 @@
 # ChangeLog for sci-chemistry/webmo
-# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sci-chemistry/webmo/ChangeLog,v 1.13 2007/07/29 17:07:47 phreak Exp $
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/sci-chemistry/webmo/ChangeLog,v 1.14 2008/02/05 08:47:31 hollow Exp $
+
+  05 Feb 2008; Benedikt Böhm <hollow@gentoo.org> webmo-6.1.010.ebuild,
+  webmo-7.0.003.ebuild:
+  merge from webapps overlay wrt #208584
+
+  03 Feb 2008; Jakub Moc <jakub@gentoo.org> webmo-6.1.010.ebuild,
+  webmo-7.0.003.ebuild:
+  Fix apache dependencies wrt Bug 208584; fix quoting, einfo -> elog
 
   29 Jul 2007; Christian Heim <phreak@gentoo.org> webmo-6.1.010.ebuild,
   webmo-7.0.003.ebuild:



-- 
gentoo-commits@lists.gentoo.org mailing list



^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2008-02-05  8:47 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2008-02-05  8:47 [gentoo-commits] gentoo-x86 commit in sci-chemistry/webmo: webmo-7.0.003.ebuild webmo-6.1.010.ebuild ChangeLog Benedikt Boehm (hollow)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox